PUT mailinglists Id

PUT/mailinglists/{id}
AuthorizationBearer <token>

Paste your JWT token here

In: header

Path Parameters

idinteger

The ID of the mailing list to update.

Formatint32

The DTO containing the updated details for the mailing list.

name?string

Gets or sets the name of the mailing list. This property provides a human-readable name for the mailing list, which is used for display purposes in the user interface and for identifying the mailing list in logs and other outputs. The name should be descriptive enough to convey the purpose of the mailing list to users, such as "General Member Meetings" or "Company Mails".

serviceId?string

Gets or sets the service ID associated with the mailing list. This property is used to link the mailing list to an external email service, allowing for integration with third-party email providers for sending communications to subscribers. The ServiceId can be used to store identifiers such as API keys, list IDs, or other relevant information needed to manage the mailing list within the context of the external service.

Response Body

application/json

application/json

application/json

curl -X PUT "https://loading/mailinglists/0" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "message": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}